%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Math_Stats
%define beta beta3

Name:           php-pear-Math-Stats
Version:        0.9.0
Release:        0.3.%{beta}%{?dist}
Summary:        Classes to calculate statistical parameters

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Math_Stats
Source0:        http://pear.php.net/get/%{pear_name}-%{version}%{beta}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Package to calculate statistical parameters of numerical arrays
of data. The data can be in a simple numerical array, or in a
cummulative numerical array. A cummulative array, has the value
as the index and the number of repeats as the value for the
array item, e.g. $data = array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3).


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}%{beta}/%{pear_name}.xml
install -pm 644 -c %{SOURCE1} LICENSE
cd %{pear_name}-%{version}%{beta}


%build
cd %{pear_name}-%{version}%{beta}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}%{beta}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir
mv $RPM_BUILD_ROOT%{pear_phpdir}/Math/examples docdir/%{pear_name}

# Move test files into testdir
mkdir -p $RPM_BUILD_ROOT%{pear_testdir}
mv $RPM_BUILD_ROOT%{pear_phpdir}/Math/test $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}%{beta}/docdir/%{pear_name}/*
%doc LICENSE
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Math


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.3.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0-0.2.beta3
- fix license tag

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.9.0-0.1.beta3
- Initial Release
